en

  Base class of all page unit.

ja

  すべてのページの基本となる既定クラス

### Hierarchy

- Page

### Implements

- IPage

## Index

### Constructors

- constructor

### Properties

- _$footer
- _$header
- _$page
- _id
- _initialized
- _intent
- _keepIntent
- _owner
- _url

### Accessors

- $footer
- $header
- $page
- active
- id
- intent
- url

### Methods

- getDirection
- onBeforeRouteChange
- onCommand
- onHardwareBackButton
- onInitialize
- onOrientationChanged
- onPageBeforeCreate
- onPageBeforeHide
- onPageBeforeShow
- onPageHide
- onPageInit
- onPageRemove
- onPageShow
- pageBeforeCreate
- pageBeforeHide
- pageBeforeShow
- pageHide
- pageInit
- pageRemove
- pageShow
- setup

## Constructors

### constructor

- new Page(_url: string, _id: string, options?: PageConstructOptions): Page

- - Defined in Page.ts:36

  #### Parameters

  - ##### _url: string

    - `en` page's URL
    - `ja` ページ URL

  - ##### _id: string

    - `en` page's ID
    - `ja` ページ ID

  - ##### Optional options: PageConstructOptions

    - `en` construction options
    - `ja` 構築オプション

  #### Returns Page

## Properties

### Private _$footer

_$footer: JQuery

- Defined in Page.ts:33

### Private _$header

_$header: JQuery

- Defined in Page.ts:32

### Private _$page

_$page: JQuery

- Defined in Page.ts:31

### Private _id

_id: string

- Defined in Page.ts:52

- `en` page's ID
- `ja` ページ ID

### Private _initialized

_initialized: boolean

- Defined in Page.ts:36

### Private _intent

_intent: ManagedIntent

- Defined in Page.ts:34

### Private _keepIntent

_keepIntent: boolean

- Defined in Page.ts:35

### Protected _owner

_owner: IPage

- Defined in Page.ts:30

### Private _url

_url: string

- Defined in Page.ts:52

- `en` page's URL
- `ja` ページ URL

## Accessors

### $footer

- get $footer(): JQuery

- - Defined in Page.ts:64

  #### Returns JQuery

### $header

- get $header(): JQuery

- - Defined in Page.ts:63

  #### Returns JQuery

### $page

- get $page(): JQuery

- - Defined in Page.ts:62

  #### Returns JQuery

### active

- get active(): boolean

- - Defined in Page.ts:59

  #### Returns boolean

### id

- get id(): string

- - Defined in Page.ts:61

  #### Returns string

### intent

- get intent(): Intent
- set intent(newIntent: Intent): void

- - Defined in Page.ts:65

  #### Returns Intent

- - Defined in Page.ts:66

  #### Parameters

  - ##### newIntent: Intent

  #### Returns void

### url

- get url(): string

- - Defined in Page.ts:60

  #### Returns string

## Methods

### Private getDirection

- getDirection(): PageTransitionDirection

- - Defined in Page.ts:217

  #### Returns PageTransitionDirection

### onBeforeRouteChange

- onBeforeRouteChange(): IPromiseBase<any>

- Implementation of IPage.onBeforeRouteChange

  - Defined in Page.ts:88

  #### Returns IPromiseBase<any>

### onCommand

- onCommand(event?: Event, kind?: string): boolean

- Implementation of IPage.onCommand

  - Defined in Page.ts:97

  #### Parameters

  - ##### Optional event: Event

  - ##### Optional kind: string

  #### Returns boolean

### onHardwareBackButton

- onHardwareBackButton(event?: Event): boolean

- Implementation of IPage.onHardwareBackButton

  - Defined in Page.ts:79

  #### Parameters

  - ##### Optional event: Event

  #### Returns boolean

### onInitialize

- onInitialize(event: Event): void

- Implementation of IPage.onInitialize

  - Defined in Page.ts:106

  #### Parameters

  - ##### event: Event

  #### Returns void

### onOrientationChanged

- onOrientationChanged(newOrientation: Orientation): void

- Implementation of IPage.onOrientationChanged

  - Defined in Page.ts:72

  #### Parameters

  - ##### newOrientation: Orientation

  #### Returns void

### onPageBeforeCreate

- onPageBeforeCreate(event: Event): void

- Implementation of IPage.onPageBeforeCreate

  - Defined in Page.ts:113

  #### Parameters

  - ##### event: Event

  #### Returns void

### onPageBeforeHide

- onPageBeforeHide(event: Event, data?: HideEventData): void

- Implementation of IPage.onPageBeforeHide

  - Defined in Page.ts:141

  #### Parameters

  - ##### event: Event

  - ##### Optional data: HideEventData

  #### Returns void

### onPageBeforeShow

- onPageBeforeShow(event: Event, data?: ShowEventData): void

- Implementation of IPage.onPageBeforeShow

  - Defined in Page.ts:127

  #### Parameters

  - ##### event: Event

  - ##### Optional data: ShowEventData

  #### Returns void

### onPageHide

- onPageHide(event: Event, data?: HideEventData): void

- Implementation of IPage.onPageHide

  - Defined in Page.ts:148

  #### Parameters

  - ##### event: Event

  - ##### Optional data: HideEventData

  #### Returns void

### onPageInit

- onPageInit(event: Event): void

- Implementation of IPage.onPageInit

  - Defined in Page.ts:120

  #### Parameters

  - ##### event: Event

  #### Returns void

### onPageRemove

- onPageRemove(event: Event): void

- Implementation of IPage.onPageRemove

  - Defined in Page.ts:155

  #### Parameters

  - ##### event: Event

  #### Returns void

### onPageShow

- onPageShow(event: Event, data?: ShowEventData): void

- Implementation of IPage.onPageShow

  - Defined in Page.ts:134

  #### Parameters

  - ##### event: Event

  - ##### Optional data: ShowEventData

  #### Returns void

### Private pageBeforeCreate

- pageBeforeCreate(event: Event): void

- - Defined in Page.ts:232

  #### Parameters

  - ##### event: Event

  #### Returns void

### Private pageBeforeHide

- pageBeforeHide(event: Event, data: HideEventData): void

- - Defined in Page.ts:254

  #### Parameters

  - ##### event: Event

  - ##### data: HideEventData

  #### Returns void

### Private pageBeforeShow

- pageBeforeShow(event: Event, data: ShowEventData): void

- - Defined in Page.ts:244

  #### Parameters

  - ##### event: Event

  - ##### data: ShowEventData

  #### Returns void

### Private pageHide

- pageHide(event: Event, data: HideEventData): void

- - Defined in Page.ts:266

  #### Parameters

  - ##### event: Event

  - ##### data: HideEventData

  #### Returns void

### Private pageInit

- pageInit(event: Event): void

- - Defined in Page.ts:236

  #### Parameters

  - ##### event: Event

  #### Returns void

### Private pageRemove

- pageRemove(event: Event): void

- - Defined in Page.ts:270

  #### Parameters

  - ##### event: Event

  #### Returns void

### Private pageShow

- pageShow(event: Event, data: ShowEventData): void

- - Defined in Page.ts:250

  #### Parameters

  - ##### event: Event

  - ##### data: ShowEventData

  #### Returns void

### Private setup

- setup(options: PageConstructOptions): void

- - Defined in Page.ts:165

  #### Parameters

  - ##### options: PageConstructOptions

  #### Returns void

Generated using TypeDoc